corosync_service_engine Struct Reference

The corosync_service_engine struct. More...

`#include <coroapi.h>`

Collaboration diagram for corosync_service_engine:
[legend]

## Data Fields

const char * | name
unsigned short | id
unsigned short | priority
size_t | private_data_size
enum cs_lib_flow_control | flow_control
enum cs_lib_allow_inquorate | allow_inquorate
char *(* | exec_init_fn )(struct corosync_api_v1 *)
int(* | exec_exit_fn )(void)
void(* | exec_dump_fn )(void)
int(* | lib_init_fn )(void *conn)
int(* | lib_exit_fn )(void *conn)
struct corosync_lib_handler * | lib_engine
int | lib_engine_count
struct corosync_exec_handler * | exec_engine
int | exec_engine_count
int(* | config_init_fn )(struct corosync_api_v1 *)
void(* | confchg_fn )(enum totem_configuration_type configuration_type, const unsigned int *member_list, size_t member_list_entries, const unsigned int *left_list, size_t left_list_entries, const unsigned int *joined_list, size_t joined_list_entries, const struct memb_ring_id *ring_id)
void(* | sync_init )(const unsigned int *trans_list, size_t trans_list_entries, const unsigned int *member_list, size_t member_list_entries, const struct memb_ring_id *ring_id)
int(* | sync_process )(void)
void(* | sync_activate )(void)
void(* | sync_abort )(void)

## Detailed Description

The corosync_service_engine struct.

Definition at line 490 of file coroapi.h.

## Field Documentation

## allow_inquorate

enum cs_lib_allow_inquorate corosync_service_engine::allow_inquorate

Definition at line 496 of file coroapi.h.

## confchg_fn

void(* corosync_service_engine::confchg_fn) (enum totem_configuration_type configuration_type, const unsigned int *member_list, size_t member_list_entries, const unsigned int *left_list, size_t left_list_entries, const unsigned int *joined_list, size_t joined_list_entries, const struct memb_ring_id *ring_id)

Definition at line 509 of file coroapi.h.

## config_init_fn

int(* corosync_service_engine::config_init_fn) (struct corosync_api_v1 *)

Definition at line 508 of file coroapi.h.

## exec_dump_fn

void(* corosync_service_engine::exec_dump_fn) (void)

Definition at line 501 of file coroapi.h.

Referenced by corosync_state_dump().

## exec_engine

struct corosync_exec_handler* corosync_service_engine::exec_engine

Definition at line 506 of file coroapi.h.

## exec_engine_count

int corosync_service_engine::exec_engine_count

Definition at line 507 of file coroapi.h.

## exec_exit_fn

int(* corosync_service_engine::exec_exit_fn) (void)

Definition at line 500 of file coroapi.h.

## exec_init_fn

char*(* corosync_service_engine::exec_init_fn) (struct corosync_api_v1 *)

Definition at line 499 of file coroapi.h.

## flow_control

enum cs_lib_flow_control corosync_service_engine::flow_control

Definition at line 496 of file coroapi.h.

## id

unsigned short corosync_service_engine::id

Definition at line 492 of file coroapi.h.

## lib_engine

struct corosync_lib_handler* corosync_service_engine::lib_engine

Definition at line 504 of file coroapi.h.

## lib_engine_count

int corosync_service_engine::lib_engine_count

Definition at line 505 of file coroapi.h.

## lib_exit_fn

int(* corosync_service_engine::lib_exit_fn) (void *conn)

Definition at line 503 of file coroapi.h.

## lib_init_fn

int(* corosync_service_engine::lib_init_fn) (void *conn)

Definition at line 502 of file coroapi.h.

## name

const char* corosync_service_engine::name

Definition at line 491 of file coroapi.h.

## priority

unsigned short corosync_service_engine::priority

Definition at line 493 of file coroapi.h.

## private_data_size

size_t corosync_service_engine::private_data_size

Definition at line 496 of file coroapi.h.

## sync_abort

void(* corosync_service_engine::sync_abort) (void)

Definition at line 523 of file coroapi.h.

## sync_activate

void(* corosync_service_engine::sync_activate) (void)

Definition at line 522 of file coroapi.h.

## sync_init

void(* corosync_service_engine::sync_init) (const unsigned int *trans_list, size_t trans_list_entries, const unsigned int *member_list, size_t member_list_entries, const struct memb_ring_id *ring_id)

Definition at line 515 of file coroapi.h.

## sync_process

int(* corosync_service_engine::sync_process) (void)

Definition at line 521 of file coroapi.h.

The documentation for this struct was generated from the following file:

- coroapi.h